Bug 37276 - php package mod_php does not work with Apache
php package mod_php does not work with Apache
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-23 19:05 EDT by Eric Smith
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 18:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2001-04-23 19:05:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


I upgraded a server running Red Hat 7.0 i386 to 7.1, using the ISO images
from the FTP site.  The php package (php-4.0.4pl1-9) installs a
/usr/lib/apache/libphp4.so that is incompatible with the supplied apache
package (apache-1.3.19-5).  If the php package is installed, when apache is
started, it says "success" even though the httpd has in fact silently
exited.  If you remove the /usr/lib/apache/libphp4.so file, Apache will
start up properly.

It appears that php must have been built against the wrong release of
apache.  If I rebuild php from the SRPM (php-4.0.4pl1-9.src.rpm) using "rpm
-ba", and install the resulting php package, apache starts up correctly and
mod_php works.


Reproducible: Always
Steps to Reproduce:
1.  Install php and apache
2.  "service apache start"
3.  apache is not running
Comment 1 Phil Copeland 2002-05-09 14:54:55 EDT
Fixed in current errata

Note You need to log in before you can comment on or make changes to this bug.